import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';

const projection = d3.geoNaturalEarth1();
const path = d3.geoPath(projection);
const geograticule = geoGraticule();
const missingDataColor = "white";

export const Marks = ({
  worldAtlas: { countries, interiors },
  rowByCode,
  colorScale,
  colorValue,
	}) => (
  <g class="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path
      className="geograticule"
      d={path(geograticule())}
    />
    {countries.features.map(feature => {
      const d = rowByCode.get(feature.id);
      return (
      <path fill={d ? colorScale(colorValue(d)) : missingDataColor} d={path(feature)} />
      );
    })}
    <path className="interiors" d={path(interiors)} />
  </g>
);
