import { useState, useEffect } from 'react';
import { csv } from 'd3';
import { feature, mesh } from 'topojson';

const csvUrl =
  'https://gist.githubusercontent.com/kazokuma/3bd983ec76ed940cd76ed40545f54d3e/raw/26aad6c3ce5fd8f531fdfbcdf8f2da95a00cfb45/share-of-population-infected-with-hiv-ihme.csv';

const row = d => {
  d.aids = +d['Prevalence - HIV/AIDS - Sex: Both - Age: 15-49 years (Percent)'];
  return d;
};
export const useData = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl, row).then(setData);   
  }, []);
  
	return data;
};
